// Assert that the given condition is true. If not then ass a script trace message, optionally produce a message box and abort script.
void ASSERT(bool cond, const string errorText)
{
	if (!cond)
	{
		string s = "Script assertion error!\r\n\r\n"; 
		if (errorText != "")
		{
			s += errorText;
		}
		else
		{
			s += "Unknown reason";
		}
		s += "\r\n\r\nScript execution aborted";
		MessageBox(s);
		AbortScript();
	}
}